Get Execution

GEThttps://bank.dattaremit.com/api/executions/{execution_guid}

Requires a bank-scoped key.

Retrieves a execution.

Required scope: executions:read

Path Params

execution_guidstringrequired

Identifier for the payment instruction.

Responses

200

execution found

401

Unauthorized - Authentication failed

403

Invalid scope

404

execution not found

Request

curl https://api.dattaremit.com/api/executions/{execution_guid} \
  -H "Authorization: Bearer sk_test_YOUR_KEY"

Response

execution found

{
  "guid": "string",
  "type": "string",
  "plan_guid": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "state": "string",
  "failure_code": "string",
  "source_account": {
    "guid": "string",
    "type": "string",
    "organization_guid": "string",
    "bank_guid": "string",
    "customer_guid": "string",
    "counterparty_guid": "string",
    "asset": "string",
    "requested_amount": 1,
    "quoted_amount": 1,
    "executed_amount": 1,
    "payment_rail": "ach"
  },
  "destination_account": {
    "guid": "string",
    "type": "string",
    "organization_guid": "string",
    "bank_guid": "string",
    "customer_guid": "string",
    "counterparty_guid": "string",
    "asset": "string",
    "requested_amount": 1,
    "quoted_amount": 1,
    "executed_amount": 1,
    "payment_rail": "ach"
  },
  "stages": [
    {
      "guid": "string",
      "type": "string",
      "state": "string",
      "failure_code": "string",
      "identifiers": [
        {
          "type": "string",
          "value": "string"
        }
      ],
      "links": [
        {
          "type": "string",
          "value": "string"
        }
      ],
      "created_at": "2026-07-20T16:27:51.438Z",
      "updated_at": "2026-07-20T16:27:51.438Z",
      "source_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "organization_guid": "string",
        "bank_guid": "string",
        "customer_guid": "string",
        "counterparty_guid": "string",
        "asset": "string",
        "requested_amount": 1,
        "quoted_amount": 1,
        "executed_amount": 1,
        "payment_rail": "ach"
      },
      "fees": [
        {
          "type": "string",
          "asset": "string",
          "quoted_amount": 1,
          "executed_amount": 1
        }
      ],
      "deposit_return_details": {
        "returned_at": "2026-07-20T16:27:51.438Z",
        "return_code": "string"
      },
      "withdrawal_return_details": {
        "returned_at": "2026-07-20T16:27:51.438Z",
        "return_code": "string"
      }
    }
  ],
  "fees": [
    {
      "type": "string",
      "asset": "string",
      "quoted_amount": 1,
      "executed_amount": 1
    }
  ],
  "holds": [
    {
      "type": "customer_hold_duration",
      "state": "active",
      "started_at": "2026-07-20T16:27:51.438Z",
      "completed_at": "2026-07-20T16:27:51.438Z",
      "eta_at": "2026-07-20T16:27:51.438Z"
    }
  ],
  "travel_rule_info": {
    "originating_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "receiving_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "ultimate_originating_party": {
      "type": "string",
      "participant_guid": "string"
    },
    "ultimate_receiving_party": {
      "type": "string",
      "participant_guid": "string"
    }
  },
  "purpose_of_transaction": "computer_services",
  "references": [
    {
      "type": "returned_execution",
      "guid": "string"
    }
  ],
  "labels": [
    "string"
  ]
}